spotAlgStartCmaEsJava <- function(io.apdFileName
		, io.desFileName
		, io.resFileName){
	## read default problem design
	source(io.apdFileName,local=TRUE)
	## read doe/dace etc settings:
	print(io.desFileName)
	des <- read.table(io.desFileName
			, sep=" "
			, header = TRUE
	);
	config<-nrow(des);
	attach(des)	
	for (k in 1:config){
		if(des$REPEATS[k]>=1){
			for (i in 1:des$REPEATS[k]){
				### 1. Add user defined parameters here: 
				if (exists("S")){
					s <- round(des$S[k])
				}
				if (exists("RESTARTS")){
					restarts <- round(des$RESTARTS[k])
				}
				if (exists("IPSF")){
					ipsf <- des$IPSF[k]
				}
				if (exists("ISD")){
					isd <- des$ISD[k]
				}
				if (exists("LS")){
					varLs <- des$LS[k]
				}
				if (exists("USPROP")){
					usprop <- des$USPROP[k]
					us <- usprop * (1+varLs)
				}
				## End of user defined section.				
				conf <- k
				if (exists("CONFIG")){
					conf <- des$CONFIG[k]
				}
				spotStep<-NA
				if (exists("STEP")){
					spotStep <- des$STEP[k]
				}
				seed <- des$SEED[k]+i
				### 2. The call string has to be modified by the user:			
				callString <- paste("java -jar cmaEs.jar", 
						seed, d, evals, f, frot, arot, s, restarts, ipsf, tx, isd, varLs, us, "null", "null", "false",
						sep = " ")
				### End of user defined call string.
				y <-system(callString, intern= TRUE)
				res <- NULL
				res <- list(Y=y,
						### 3. User specific parameter values have to be added to the list:  
						S=s,
						RESTARTS=restarts,
						IPSF = ipsf,
						ISD = isd,
						LS = varLs,
						USPROP = usprop,						
						### End of user specific parameter values.
						Function=f,
						EVALS=evals,
						D=d,
						SEED=seed,
						CONFIG=conf
				)
				if (exists("STEP")){
					res=c(res,STEP=spotStep)
				} 
				res <-data.frame(res)
				colNames = TRUE
				if (file.exists(io.resFileName)){
					colNames = FALSE
				}
				## quote = false is required for JAVA
				write.table(res
						, file = io.resFileName
						, row.names = FALSE
						, col.names = colNames
						, sep = " "              
						, append = !colNames
						, quote = FALSE
				);		
				colNames = FALSE
			} # end for i
		} # end if(des$REPEATS[k]>=1)
	}	#end for k
	detach(des)
}
